org.eclipse.wst.jsdt.ui

## Interface IWorkingCopyProvider

All Known Implementing Classes:
  StandardJavaScriptElementContentProvider

    public interface IWorkingCopyProvider

Interface used for JavaScript element content providers to indicate that the content provider can return working copy elements for members below compilation units.

This interface is not intended to be implemented by clients.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

See Also:
  `StandardJavaScriptElementContentProvider`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `providesWorkingCopies()` Returns `true` if the content provider returns working copy elements; otherwise `false` is returned.

### Method Detail

#### providesWorkingCopies

    boolean providesWorkingCopies()

Returns `true` if the content provider returns working copy elements; otherwise `false` is returned.

Returns:
  whether working copy elements are provided.